﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=11.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
	
#End Region

Sub Process_Globals

	Private nid As Int = 1
	Private lock As PhoneWakeState
	Public seconds As Int
	Public activeState As Boolean
End Sub


Sub Service_Create

	Service.AutomaticForegroundMode = Service.AUTOMATIC_FOREGROUND_NEVER 'we are handling it ourselves
	lock.PartialLock
	activeState = True
End Sub


Sub Service_Start (StartingIntent As Intent)
	
	Service.StartForeground(nid, CreateNotification("Taking photo..."))
	Log("Service_Start")
	
	StartServiceAt(Me, DateTime.Now + (seconds * 1000), True)		'ticks

	If B4XPages.IsInitialized Then CallSubDelayed(B4XPages.MainPage, "TakePicture")
	
'	If B4XPages.MainPage.IsInitialized = False Then
		ToastMessageShow("Servicio PhotoTacker activo", True)
'	End If
End Sub


Sub CreateNotification (Body As String) As Notification
	
	Dim notification As Notification
	notification.Initialize2(notification.IMPORTANCE_LOW)
	notification.Icon = "icon"
	notification.SetInfo("Taking photo", Body, Main)
	Return notification
End Sub


Sub Service_Destroy

	activeState = False
	lock.ReleasePartialLock
    Service.StopAutomaticForeground
	CancelScheduledService(Me)
End Sub
